*====================================================
* Program:  Main.prg (Encryptor)
* Purpose:  Simple wrapper around
*    Visual FoxPro's FFC\_crypto.vcx
* Author:  Alex Feldstein
* Copyright:  Public Domain
* Released:  09/24/2003
* Modified:  12/02/2003
* Parameters:  depends on method called
*    (generally string_to_encrypt, passphrase)
* Returns:  encrypted/decrypted string
*     or an error message as char
* Notes:   passphrase is case-sensitive
*====================================================

*!*	If Version(2) > 0
*!*		* in Development environment
*!*		Application.Visible = .T.
*!*	Else
*!*		* in Production
*!*		* hide VFP screen
*!*		Application.Visible = .F.
*!*	EndIf

Set Safety off
Set Talk Off
Set Deleted On
DO form Encryptor
Read Events

*!*	If Version(2) > 0
*!*		* in Development environment
*!*		Application.Visible = .T.
*!*		Set Resource on
*!*	Else
	* in Production
	Release All
	Quit
*!*	EndIf


* eof