* Define some constants used by Cryptor (these were adapted from CRYPTOR.H and
* CRYPTORERRORS.H).

#define CRYPTOR_LOADMODE_NORMAL				0x0001
#define CRYPTOR_LOADMODE_PROTECTED			0x0002
#define CRYPTOR_ERR_SUCCESS					0x00000000
#define CRYPTOR_ERR_ALREADY_INITIALIZED		0xFFFFFF02 - 0x100000000
#define CRYPTOR_ERR_ALREADY_REGISTERED		0xFFFFFFFA - 0x100000000
#define ENCODER_LEVEL1						0x00000001
#define ENCODER_LEVEL2						0x00000002
#define ENCODER_LEVEL3						0x00000003
#define ENCODER_LEVEL4						0x00000004
#define ENCODER_LEVEL5						0x00000005
#define ENCODER_LEVEL6						0x00000006
#define ENCODER_LEVEL7						0x00000007
#define ENCODER_LEVEL8						0x00000008
#define ENCODER_RANDOM_OFF					0x00000010
#define ENCODER_OVERRIDE_SEQ				0x00000020
#define ENCODER_SIMPLEX						0x00000100
#define ENCODER_WHITESPACE					0x00000200
#define CRYPTOR_REGLIST_FIRST				0x0001
#define CRYPTOR_REGLIST_NEXT				0x0002
#define CRYPTOR_REGLIST_CLOSE				0x0003
#define CRYPTOR_ERR_END_OF_LIST        		0xFFFFFFEE - 0x100000000
